/* Lesson 1.7: Demo   Best Practices in Naming Tables and Columns */

/*
Naming tables and columns using CREATE and SELECT
*/

USE CertData
GO


/* Table uses Schema name and then Table name
Columns are referenced with table and column name

*/
CREATE TABLE Production.Products
   (ProductID int NOT NULL,
    ProductName varchar(max) NOT NULL,
    Price money NULL,
    ProductDescription varchar(max) NULL);
GO

CREATE TABLE Production.Categories(
	CategoryID INT IDENTITY(1,1) NOT NULL,
	CategoryName NVARCHAR (40),
	Description NVARCHAR(max)
	CONSTRAINT PK_Categories_CategoryID PRIMARY KEY(CategoryID),
);
GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--Naming tables and columns when querying table
SELECT ProductID, ProductName 
	FROM Production.Products
GO

SELECT CategoryID, CategoryName 
  FROM Production.Categories
GO

