/* Lesson 16.2 Demo 1 Use Cursors to Perform Row Operations */

USE AdventureWorks2012;
GO

DECLARE @BusEntityID AS INT;
DECLARE @Name AS NVARCHAR(50);
DECLARE @SalesPersID AS INT;
DECLARE @BusCursor AS CURSOR;
 
SET @BusCursor = CURSOR
 FOR
	SELECT BusinessEntityID, Name, SalesPersonID
 FROM Sales.Store;
 
OPEN @BusCursor;
FETCH NEXT FROM @BusCursor INTO @BusEntityID, @Name, @SalesPersID;
 
WHILE @@FETCH_STATUS = 0
BEGIN
 PRINT cast(@BusEntityID as VARCHAR (50)) + ' ' + @Name + ' ' + 'SalesPersonID: ' + cast(@SalesPersID as VARCHAR (50));
 FETCH NEXT FROM @BusCursor INTO @BusEntityID, @Name, @SalesPersID; --<<<<<<INCREMENTS LOOP
END
 
CLOSE @BusCursor;
DEALLOCATE @BusCursor;
