/* Lesson 1.9 Demo  - Using ALTER TABLE to Add and Modify Columns */

/*
>>>>ALTER TABLE>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Use ALTER TABLE to:
	Add or remove a column
	Change the data type of a column
	Change column nullibility
	Add or drop constraints
Do not use ALTER TABLE to:
	Change column names 
	Add or Remove an IDENTITY PROPERTY
*/

USE CertData
GO

ALTER TABLE Production.Products
	ADD CategoryID INT;
GO

INSERT INTO Production.Products (ProductID, ProductName, CategoryID, Price, ProductDescription)
	VALUES (461,'Querying Microsoft SQL Server 2012', 1, 150.00, 'Create Databae Objects; Work with Data; Modify Data; Troubleshoot and Optimize'),
	(462,'Administering Microsoft SQL Server 2012  Databases', 1, 150.00,'Install and Configure; Maintain Instances and Databases; Optimize and Troubleshoot'),
	(463,'Implementing a Data Warehouse with SQL Server 2012', 1,  150.00,'Design and Implement Data Warehouse; Extract and Transform Data'),
	(464,'Developing Microsoft SQL Server Databases',2, 150.00,'Implement Database Objects; Implement Programming Objects'),
	(465,'Designing Database Solutions', 2, 150.00,'Design a Database Structure; Design Databases and Database Objects'),
	(466, 'Implementing Data Models and Reports', 3, 150.00, 'Build an analysis services multidimensional database'),
	(467, 'Designing Business Intelligence Solutions', 3, 150.00, 'Plan business intelligence infrastructure'); 
GO         

USE CertData
GO

INSERT INTO Production.Categories (categoryname ,description)
	VALUES(N'MCSA SQL Server 2012', N'Microsoft Solutions Associate'),
	(N'MCSE Data Platform', N'Microsoft Certified Solutions Expert'),
	(N'MCSE Business Intelligence', N'Microsoft Certified Solutions Expert');
GO