/* Lesson 12.3  Demo 1  Create and Execute Stored Procedures with Input and Output Parameters */

USE AdventureWorks2012
GO 

IF OBJECT_ID ( 'HumanResources.uspGetEmployeeJobTitle', 'P' ) IS NOT NULL 
    DROP PROCEDURE HumanResources.uspGetEmployeeJobTitle;
GO
CREATE PROCEDURE HumanResources.uspGetEmployeeJobTitle
	@Job nvarchar(50),
	@JobCount AS INT = 0 OUTPUT
AS
BEGIN
	SET NOCOUNT ON
	SELECT JobTitle, LoginID, HireDate
	FROM HumanResources.Employee
	WHERE JobTitle = @Job;
	SET @JobCount = @@ROWCOUNT;
	RETURN;
END; 

-->>>>>>Invoke the Procedure<<<<<<---------------------
DECLARE @numjobs AS INT		
EXEC HumanResources.uspGetEmployeeJobTitle @Job = N'Marketing Specialist', @JobCount = @numjobs OUTPUT;
SELECT @numjobs AS "Number of Employees with Job Title"

