/* Lesson 17.5: Demo - Using Throw to Raise an Exception */

-->>>>>>---- Method 1 ----<<<<<<--
-->>>>>> Use THROW anywhere in code
-->>>>>> Invoke THROW with parameters to raise user-defined error message

THROW 51000, 'The stated object cannot be found', 1;
GO

-->>>>>>----Method 2 ----<<<<<<--
-->>>>>> Use THROW within CATCH block
-->>>>>> without parameters to re-raise original error that invoked CATCH block

USE AdventureWorks2012;
GO

BEGIN TRY
    UPDATE Production.Product
	SET ReorderPoint = ReorderPoint/0
		WHERE ProductID = 1;
	SELECT ReorderPoint
	FROM Production.Product
		WHERE ProductID = 1;
	PRINT 'Completing TRY block';
END TRY
BEGIN CATCH
    PRINT 'Currently beginning catch block.';
	PRINT 'Error Number: ' + CAST(ERROR_NUMBER() AS VARCHAR(50));
    THROW;  -- use the THROW statement to raise the last thrown exception again
END CATCH;
GO