/* Lesson 7 INLINE Code */
Use AdventureWorks2012
GO
----------------------------------------------------------------
/* Using CAST to convert decimal value to character data type */
DECLARE @myval decimal (5, 2);
SET @myval = 275.15;
SELECT CAST(@myval AS varchar(20));
GO

---------------------------------------------------------------
/* Using CONVERT to convert decimal value to character data type */
---------------------------------------------------------------
DECLARE @myval2 decimal (5, 2);
SET @myval2 = 275.15;
SELECT CONVERT( VARCHAR(20), @myval2);
GO

---------------------------------------------------------------
/* Using PARSE to convert character data type to datetime2 */
---------------------------------------------------------------
SELECT PARSE('Tuesday, 1 April 2014' AS datetime2 USING 'en-US') AS Result; 
GO

---------------------------------------------------------------
/* Showing the difference between using CONVERT and TRY_CONVERT
   uaing an out of range date value for DATETIME           
*/
---------------------------------------------------------------
SELECT CONVERT(DATETIME, '1700-04-01')
            AS 'Result using CONVERT function';
GO
---------------------------------------------------------------
SELECT TRY_CONVERT(DATETIME, '1700-04-01') 
            AS 'Result using TRY_CONVERT Function';
GO
